Page MenuHomePhabricator

datetimepicker modifies wrong form field when used with 'multiple' templates
Open, MediumPublic

Description

I'm trying to set up a multiple-subobject subtemplate with a
datepicker field. It works fine with input type 'datepicker', but when
I use 'datetimepicker', attempts to set the second subobject's date
affect the first subobject/form entry instead. (That is: the first date
can be set just fine, but when adding an instance, trying to set the
second instance's date doesn't fill in the second instance's field, it
instead revises the first instance's field.)

See http://wikimedia.7.x6.nabble.com/SF-Semantic-Forms-Input-s-quot-datetimepicker-quot-td5031969.html


Version: unspecified
Severity: normal

Details

Reference
bz67996

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:30 AM
bzimport set Reference to bz67996.
Foxtrott created this task.Jul 14 2014, 5:33 PM
Foxtrott removed Foxtrott as the assignee of this task.Feb 8 2016, 10:01 PM
Foxtrott triaged this task as Medium priority.
Foxtrott set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2016, 10:01 PM
Yaron_Koren closed this task as Resolved.Oct 22 2018, 4:15 AM
Yaron_Koren claimed this task.
Yaron_Koren added a subscriber: Yaron_Koren.

I believe this has been fixed sometime in the last four years.

Robert_Radke reopened this task as Open.May 14 2019, 12:37 PM
Robert_Radke added a subscriber: Robert_Radke.

Hello,
I have exactly the same problem as described. I have a multiple form and use the datetimepicker.
If I modify only one instance everything is fine. If I have at least two instances open the error occurs. And it only occurs with new instances.

  • Behaviour while trying to edit the date: for description we have to split up the problem in Date and Time because they behave in a different wax:
    • Modifying the date will always modify the instance directly above the one I want to modify (this one is left unmodified).
    • Modifying the time will always modify the instance I want to modify and the instance directly above
  • What happens when saved the first time: Only the data of the first instance is stored at all. All data from the second, third,... instance is lost and the default value is stored.
  • Behaviour when saved and reopened: If the form is saved and opened again I can manipulate every date and time as wanted.

MediaWiki 1.31.1
Semantic MediaWiki: 3.0.1
Page Forms 4.4.2